Support » Plugin: TablePress » PHP errors and warning for PHP 7.2

  • Resolved Growltiger

    (@growltiger)


    Hi, I don’t have any problems. But I was doing a scan of all my plugins using the PHP Compatibility Checker plugin, and I noticed that it gave this report with 2 errors and 2 warnings for TablePress (current version) when using PHP 7.2, so I thought I should tell you. And many thanks for a wonderful plugin.

    FILE: /home/dangelo/www/www.jamesdangelomusic.com/wp-content/plugins/tablepress/libraries/excel-reader.class.php
    ————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    ————————————————————————————————————————————————————-
    222 | WARNING | Method name “OLERead::__readData” is discouraged; PHP has reserved all method names with a double underscore prefix for future use.
    240 | WARNING | Method name “OLERead::__readPropertySets” is discouraged; PHP has reserved all method names with a double underscore prefix for future use.
    ————————————————————————————————————————————————————-

    FILE: /home/dangelo/www/www.jamesdangelomusic.com/wp-content/plugins/tablepress/views/view-about.php
    ————————————————————————————————————
    FOUND 2 ERRORS AFFECTING 2 LINES
    ————————————————————————————————————
    186 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    187 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    ————————————————————————————————————

Viewing 5 replies - 1 through 5 (of 5 total)
Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘PHP errors and warning for PHP 7.2’ is closed to new replies.